osl::PtypeTraits< PROOK > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | Static Public Attributes | List of all members
osl::PtypeTraits< PROOK > Struct Template Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions
static const char * | name ()
static const char * | csaName ()

## Static Public Attributes
static const bool | isBasic =false
static const bool | canPromote =false
static const bool | betterToPromote =true
static const Ptype | moveType =PROOK
static const int | moveMask
static const Ptype | basicType =ROOK
static const int | indexMin =PtypeTraits<basicType>::indexMin

## Detailed Description

### template<>
struct osl::PtypeTraits< PROOK >

Definition at line 252 of file ptypeTraits.h.

## Member Function Documentation

static const char* osl::PtypeTraits< PROOK >::csaName | ( | ) |  |
| inlinestatic

Definition at line 260 of file ptypeTraits.h.

static const char* osl::PtypeTraits< PROOK >::name | ( | ) |  |
| inlinestatic

Definition at line 259 of file ptypeTraits.h.

## Member Data Documentation

const Ptype osl::PtypeTraits< PROOK >::basicType =ROOK
| static

Definition at line 266 of file ptypeTraits.h.

const bool osl::PtypeTraits< PROOK >::betterToPromote =true
| static

Definition at line 257 of file ptypeTraits.h.

const bool osl::PtypeTraits< PROOK >::canPromote =false
| static

Definition at line 255 of file ptypeTraits.h.

const int osl::PtypeTraits< PROOK >::indexMin =PtypeTraits<basicType>::indexMin
| static

Definition at line 267 of file ptypeTraits.h.

const bool osl::PtypeTraits< PROOK >::isBasic =false
| static

Definition at line 254 of file ptypeTraits.h.

const int osl::PtypeTraits< PROOK >::moveMask
| static

Initial value:
=
DirectionTraits<LONG_U>::mask|DirectionTraits<LONG_L>::mask
|DirectionTraits<LONG_R>::mask|DirectionTraits<LONG_D>::mask
|DirectionTraits<UL>::mask|DirectionTraits<UR>::mask
|DirectionTraits<DL>::mask|DirectionTraits<DR>::mask

Definition at line 261 of file ptypeTraits.h.

const Ptype osl::PtypeTraits< PROOK >::moveType =PROOK
| static

Definition at line 258 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h